rpc.nfsd(8)

NOM
rpc.nfsd - Processus serveur NFS

SYNOPSIS
/usr/sbin/rpc.nfsd [options] nombre-de-processus

DESCRIPTION
Le programme rpc.nfsd implémente la partie utilisateur du service NFS. Les principales actions sont prises en charge par le module noyau nfsd. La partie utilisateur se contente de préciser quels sont les tuyaux (sockets) que le service noyau doit écouter, quelles versions de NFS il doit prendre en charge et combien de processus (threads) il doit lancer.

Le démon rpc.mountd fournit un service auxiliaire nécessaire pour le traitement des requêtes de montage/démontage des clients NFS.

OPTIONS

-d, --debug
    Mettre en route l'enregistrement des messages utiles au débogage.

-H, --host nom-client
    Indiquer le nom d'un client spécifique (ou son adresse) dont les requêtes NFS seront les seules acceptées. Par défaut, rpc.nfsd accepte les requêtes NFS de toutes les adresses réseau connues. Il faut noter que lockd (qui effectue les verrouillages de fichiers pour NFS) persiste, malgré cette option, à accepter les requêtes NFS de toutes les adresses réseau connues. Cela peut changer dans de futures versions du noyau Linux.

-p, --port port
    Indiquer un port d'écoute spécifique pour les requêtes NFS. Par défaut, rpc.nfsd écoute le port 2049.

-N, --no-nfs-version version
    Cette option peut être utilisée pour demander à rpc.nfsd de ne pas prendre en charge certaines versions de NFS. La version actuelle de rpc.nfsd gère les versions 2, 3, 4 et 4.1 de NFS.

-s, --syslog
    Par défaut, rpc.nfsd envoie les messages d'erreur (et de débogage si l'option adéquate est activée) vers la sortie d'erreur standard. Cette option ordonne à rpc.nfsd d'enregistrer plutôt ces messages dans le journal système (syslog). Notez que les erreurs rencontrées pendant la lecture des options seront quand même envoyées vers la sortie d'erreur standard.

-T, --no-tcp
    Refuser les connexions TCP des clients.

-U, --no-udp
    Refuser les connexions UDP des clients.

-V, --nfs-version version
    Cette option peut être utilisée pour demander à rpc.nfsd de prendre en charge certaines versions de NFS. La version actuelle de rpc.nfsd gère les versions 2, 3, 4 et 4.1 de NFS.

nombre-de-processus
    Préciser le nombre de processus (« threads ») du serveur NFS. Par défaut, un seul processus est lancé. Toutefois, pour atteindre des performances optimales, plusieurs processus peuvent être lancés. La valeur optimale dépend du nombre de clients et de la charge de travail engendrée par les connexions NFS. Un bon point de départ est 8 processus. Le programme nfsstat(8) permet d'observer les effets d'une modification de cette valeur.

Notez bien que si le serveur NFS est déjà lancé, les options qui définissent l'hôte, le port et le protocole seront ignorées. La seule option prise en compte sera le nombre de processus indiqué, et le total de processus nfsd actifs sera augmenté ou diminué afin de s'aligner sur ce nombre. En particulier, rpc.nfsd 0 arrêtera tous les processus et fermera donc toutes les connexions actives.

NOTES
Si le programme a été construit avec la prise en charge TI-RPC, il activera tout protocole et famille d'adresses qui sont marquées comme visibles dans la base de données de netconfig.

VOIR AUSSI
nfsd(7), rpc.mountd(8), exports(5), exportfs(8), rpc.rquotad(8), nfsstat(8), netconfig(5).

AUTEUR
Olaf Kirch, Bill Hawes, H. J. Lu, G. Allan Morris III, et un paquet d'autres.

TRADUCTION
Cette page de manuel a été traduite par Thierry Vignaud <tvignaud AT mandriva DOT com> en 2000 et mise à jour par Alain Portal <aportal AT univ-montp2 DOT fr> en 2006. La version présente dans Debian est maintenue par Sylvain Cherrier <sylvain DOT cherrier AT free DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.